%define name	png2ico
%define version	20021208
%define date	2002-12-08
%define release	5mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	PNG to icon converter
Source:		%{name}-src-%{date}.tar.bz2
URL:		http://www.winterdrache.de/freeware/png2ico/index.html
License:	GPL
Group:		Graphics
BuildRequires:	libpng-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
Converts PNG files to Windows icon resource files. If you're looking
for a program to create a favicon.ico for your website, look no
further. If you need instructions or don't even know what a favicon is,
check out this short tutorial on how to create and install a favicon.ico
 http://www.winterdrache.de/freeware/png2ico/favicon.html

%prep
rm -rf %{buildroot}
%setup -n %{name}

%build
make CPPFLAGS="$RPM_OPT_FLAGS"

%install
install -d -m 755 %{buildroot}%{_bindir}
install -d -m 755 %{buildroot}%{_mandir}/man1
install -m 755 %{name} %{buildroot}%{_bindir}
install -m 644 doc/%{name}.1 %{buildroot}%{_mandir}/man1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE VERSION README README.unix doc/bmp.txt
%{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 20021208-5mdk 
- rebuild
- spec cleanup

* Sat Jun 05 2004 Guillaume Rousse <guillomovitch@mandrake.org> 20021208-4mdk 
- rebuild

* Mon Jul 14 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 20021208-3mdk
- fixed buildrequires (Michael Scherer <scherer.michael@free.fr>)

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 20021208-2mdk
- rebuild

* Sun Dec 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 20021208-1mdk
- 20021208

* Wed Sep 04 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 20020903-1mdk
- first mdk release
